> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kibocommerce.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get ListView

> Returns a specific ListView definition for a specific EntityList for a specific tenant



## OpenAPI

````yaml /openapi/openapi_entities.json get /platform/entitylists/{entityListFullName}/views/{viewName}
openapi: 3.0.1
info:
  description: |-
    <div id="overview_ENTITIES">
                <h2>ENTITIES</h2>
                <p>Entities are JSON entries within the Kibo database for handling large data sets to heavily filter (>2,000
                    items). Each entity is associated to an EntityList with schema, rules, and formatting for storing the
                    content. This content can be accessed via the API and Hypr tags.</p>
                <p>The <strong>Entity Lists</strong> resource manages all dynamic entities in your Kibo eCommerce document store of the
                    cloud. The content is JSON and can have up to five indexed properties (integer, decimal, string, date,
                    and boolean) with support for additional customized elements as needed. Every document in the entity
                    list has a validated unique ID. A Content property is not supported for Entity List. Instead, the
                    MetaData JSON property should be used to supply content when needed. Otherwise, to populate an Entity
                    List the user should create an entity and then add that resource to the list using the InsertEntity
                    operation.</p>
                <p>The <strong>Entity Containers</strong> resource provides all properties and data for entities within a site/tenant. This
                    data encapsulates all associated IDs including entity lists, entity views, site, tenant, entities, and
                    more.</p>
                <p>The <strong>List Views</strong> resource provides settings and options for displaying associated content within a context
                    level of site, tenant, catalog, or master catalog. ListViews can be associated with entity lists and
                    entities.</p>
            </div>
  title: Entities
  version: 0.0.1
servers:
  - description: Kibo Base URL
    url: '{baseUrl}/api'
    variables:
      baseUrl:
        default: https://t1000000.sb.usc1.gcp.kibocommerce.com
        description: Base URL
security:
  - bearerAuth: []
paths:
  /platform/entitylists/{entityListFullName}/views/{viewName}:
    get:
      tags:
        - ListViews
      summary: Get ListView
      description: >-
        Returns a specific ListView definition for a specific EntityList for a
        specific tenant
      parameters:
        - description: >-
            The full name of the EntityList including namespace in
            name@nameSpace format
          in: path
          name: entityListFullName
          required: true
          schema:
            type: string
        - description: The name of the ListView
          in: path
          name: viewName
          required: true
          schema:
            type: string
        - description: limits which fields are returned in the response body
          in: query
          name: responseFields
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListView'
            text/json:
              schema:
                $ref: '#/components/schemas/ListView'
            text/plain:
              schema:
                $ref: '#/components/schemas/ListView'
          description: OK
components:
  schemas:
    ListView:
      properties:
        defaultSort:
          description: Indicates a default sort to be applied to the ListView.
          nullable: true
          type: string
        fields:
          description: >-
            The list of ViewFields for this view. ViewFields can be used to
            filter or transform the underlying Entity to provide an optimized
            format for applications which query the ListView.  If no ViewFields
            are specified, entities will be returned for the View with no
            transform applied.
          items:
            $ref: '#/components/schemas/ListViewField'
          nullable: true
          type: array
        filter:
          description: >-
            Indicates a implicitly applied filter to the EntityList for to which
            the ListView is associated. All queries to the ListView will have
            this filter applied implicitly.
          nullable: true
          type: string
        metaData:
          description: >-
            An arbitrary json property to be used by external applications for
            any purpose. MZDB will persist and retrieve the metadata without any
            restrictions.
          nullable: true
          type: object
        name:
          description: The name of the ListView. This must be unique for the EntityList.
          nullable: true
          type: string
        security:
          description: >-
            less restrictive than collection/list security. public | admin |
            owner
          nullable: true
          type: string
        usages:
          description: >-
            Usages are arbitratry sting values used to provide instructions for
            other applications as to the intended areas where the view should be
            used. Mozu uses the "admin" usage valued to indicate that a ListView
            should appear in the EntityManager in the Admin UI.  The values are
            open ended and applications may provide any value for a usage. This
            field can be used in queries to the EntityList.
          items:
            type: string
          nullable: true
          type: array
      type: object
    ListViewField:
      description: shared by cms/mzdb.
      properties:
        name:
          description: The name of the field in the view.
          nullable: true
          type: string
        target:
          description: A JPath query to the source property for this ViewField.
          nullable: true
          type: string
        type:
          description: >-
            The datatype of the field. Valid values are "string", "integer",
            "decimal", "date", "bool". See SharedConstants.DataTypeConst
          nullable: true
          type: string
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      description: JWT Authorization header using the Bearer scheme.
      scheme: bearer
      type: http

````